db-derby-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Knut Anders Hatlen <Knut.Hat...@Sun.COM>
Subject Re: Javadoc build problems with JDK 1.5 code?
Date Wed, 03 Oct 2007 07:32:01 GMT
Bryan Pendleton <bpendleton@amberpoint.com> writes:

> I'm having some troubles building the engine javadoc (errors are
> pasted below). I think that perhaps there is some new code that
> uses JDK 1.5 syntax, and the JavaDoc build doesn't recognize that
> code syntax.

Hi Bryan,

It seems to be working fine in the nightly builds. See for instance
http://db.apache.org/derby/javadoc/engine/org/apache/derby/impl/services/cache/ConcurrentCache.html

I don't see any problems either, but then I'm running with JAVA_HOME
pointing to a JDK 6 installation. I guess building with JAVA_HOME
pointing to a JDK 1.4 installation could be the cause, since only the
JDBC 4.0 code has been explicitly set up to use build javadoc with a
newer JDK, as far as I know.

So I think there are two options:

  1) Build the javadoc with JAVA_HOME set to a JDK 5 or later

  2) Set up separate javadoc targets for the JDK 5 code

Since the vote about requiring JDK 5 to build Derby seems to pass, it's
probably best to go for option 1.

-- 
Knut Anders

Mime
View raw message